Index Page ident_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ident_c ( SpiceDouble    matrix[3][3] )

#### Abstract

      This routine returns the 3x3 identity matrix.

#### Required_Reading

       None.

#### Keywords

       MATRIX

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       matrix     O   is the 3x3 identity matrix.

#### Detailed_Input

       None.

#### Detailed_Output

       matrix     is the 3x3 Identity matrix.  That is MATRIX is
                  the following
                    _                 _
                   |  1.0   0.0   0.0  |
                   |  0.0   1.0   0.0  |
                   |  0.0   0.0   1.0  |
                    -                  -

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       This is a utility routine for obtaining the 3x3 identity matrix
       so that you may avoid having to write the loop or assignments
       needed to get the matrix.

#### Examples

       Suppose that you need to construct the matrix sum

          ident + omega

       where omega is some matrix you have already computed.

       The code fragment below shows how you could accomplish this
       with this routine.

          First get the Identity matrix

          #include "SpiceUsr.h"
                .
                .
                .

          SpiceDouble             ident[3][3];

          ident_c ( ident );
          vaddg_c ( ident, omega, 9, sum );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       W.L. Taber      (JPL)

#### Version

       -CSPICE Version 1.0.0, 1-JUN-1999 (NJB) (WLT)

#### Index_Entries

       Get the 3x3 identity matrix

#### Link to routine ident_c source file ident_c.c

    Wed Apr  5 17:54:36 2017